ExtensionControllerGetDeliveryProviders Method |
GET /Extension/DeliveryProviders/
Gets all the delivery providers in the system.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpGetAttribute]
[ActionNameAttribute("DeliveryProviders")]
public HttpResponseMessage GetDeliveryProviders(
Nullable<Guid> sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("DeliveryProviders")>
Public Function GetDeliveryProviders (
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpGetAttribute]
[ActionNameAttribute(L"DeliveryProviders")]
HttpResponseMessage^ GetDeliveryProviders(
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("DeliveryProviders")>]
member GetDeliveryProviders :
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- sessionId (Optional)
- Type: SystemNullableGuid
The current session ID.
Return Value
Type:
HttpResponseMessageAn array of
DeliveryProviderData objects, or a status code indicating the reason for failure.
See Also